/* $Id: instruction.h 98 2008-01-08 18:12:03Z csg $ */
#ifndef _INSTRUCTION_H_
#define _INSTRUCTION_H_

#include <stdio.h>
struct t_vm;
typedef struct t_inst t_inst;

extern int InstructionExecute(t_inst *instruction);

extern int InstructionParseListLine(char *buf, struct t_vm *vm);

extern t_inst *InstructionNop(struct t_vm *vm, int instr_address);

extern t_inst *InstructionEnd(struct t_vm *vm, int instr_address);

extern t_inst *InstructionBsr(struct t_vm *vm, int instr_address, int target_address);

extern void InstructionGetSource(t_inst *instruction, char **src);

extern void InstructionDestroy(t_inst *instruction);

extern char *InstructionGetStackLabel(t_inst *instruction);

#endif
